## ipu6-camera-hal 0~git202112130639.4585612

=== CMakeLists.txt ===
#
#  Copyright (C) 2017-2021 Intel Corporation
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

cmake_minimum_required(VERSION 2.8)

project(libcamhal)


#---------------------------- Fold settings ----------------------------

# Source directories
set(SRC_ROOT_DIR        ${CMAKE_CURRENT_LIST_DIR}/src)

set(3A_DIR              ${SRC_ROOT_DIR}/3a)
set(CORE_DIR            ${SRC_ROOT_DIR}/core)
set(HAL_DIR             ${SRC_ROOT_DIR}/hal)
set(IIO_DIR             ${SRC_ROOT_DIR}/iio)
set(IUTILS_DIR          ${SRC_ROOT_DIR}/iutils)
set(METADATA_DIR        ${SRC_ROOT_DIR}/metadata)
set(PLATFORMDATA_DIR    ${SRC_ROOT_DIR}/platformdata)
set(V4L2_DIR            ${SRC_ROOT_DIR}/v4l2)
set(MODULES_DIR         ${CMAKE_CURRENT_LIST_DIR}/modules)
set(ALGOWRAPPER_DIR     ${MODULES_DIR}/algowrapper)
set(SANDBOXING_DIR      ${MODULES_DIR}/sandboxing)
set(IMAGE_PROCESS_DIR   ${SRC_ROOT_DIR}/image_process)

#AAL directories
if (CAL_BUILD)
    set(AAL_ROOT_DIR       ${CMAKE_CURRENT_LIST_DIR}/aal)
    set(JPEG_DIR           ${SRC_ROOT_DIR}/jpeg)
    set(MEMORY_DIR         ${MODULES_DIR}/memory)
endif() #CAL_BUILD

if (SUPPORT_LIVE_TUNING)
    #LiveTuning directories
    set(LIVE_TUNING_DIR         ${MODULES_DIR}/livetune)
endif() #SUPPORT_LIVE_TUNING

# ia_cipr is only used by psysprocessor
if (USE_PG_LITE_PIPE)
set(IA_CIPR_DIR         ${MODULES_DIR}/ia_cipr)
set(MODULE_IA_CSS_DIR   ${MODULES_DIR}/ia_css)
endif() #USE_PG_LITE_PIPE

# CMake module directory
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

# Install directories
# CMAKE_INSTALL_PREFIX is defined when executing cmake and supposed to be ./out/libcamhal
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${PROJECT_BINARY_DIR}" CACHE PATH "Target location for install command." FORCE)
endif()

message(STATUS "install prefix: " ${CMAKE_INSTALL_PREFIX})

#------------------------- Compilation settings -------------------------

include(GNUInstallDirs)

# -fPIC in xos way
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG(-faligned-new COMPILER_SUPPORTS_ALIGNED_NEW)
if (COMPILER_SUPPORTS_ALIGNED_NEW)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
endif()

set (CMAKE_CXX_STANDARD 11)
add_compile_options(-Wall -Werror
                    -fstack-protector
                    -fPIE -fPIC
                    -D_FORTIFY_SOURCE=2
                    -DDCHECK_ALWAYS_ON
                    -Wformat -Wformat-security
                    )
# code coverage.
include(code-coverage)

add_definitions(-D__STDC_FORMAT_MACROS
                -DHAVE_PTHREADS
                -DHAVE_LINUX_OS
                -DHAVE_IA_TYPES
                -DHAVE_PRCTL
                )

if (USE_PG_LITE_PIPE)
        add_definitions(-DUSE_PG_LITE_PIPE)
endif() #USE_PG_LITE_PIPE

if (CAL_BUILD)
    message("Chrome enabled ")
    add_definitions(-DCAL_BUILD)
    add_definitions(-DDUMP_IMAGE)
else()
    add_definitions(-DSUPPORT_MULTI_PROCESS)
    add_definitions(-DLINUX_BUILD)
endif() #CAL_BUILD

if (FACE_DETECTION)
    add_definitions(-DFACE_DETECTION)
endif() #FACE_DETECTION

# IPU6_FEATURE_S
if (IPU_VER MATCHES "ipu6")
    add_definitions(-DIPU_SYSVER_IPU6)
endif()
# IPU6_FEATURE_E

# IPU6_SE_FEATURE_S
if (IPU_VER MATCHES "ipu6sepla")
    add_definitions(-DIPU_SYSVER_ipu6v3)
endif()
# IPU6_SE_FEATURE_E

if (IPU_VER MATCHES "ipu6ep")
    message(INFO "add definition -DIPU_SYSVER_ipu6v5 for ipu6ep")
    add_definitions(-DIPU_SYSVER_ipu6v5)
endif()

include_directories(include
                    include/api include/utils
                    ${CMAKE_CURRENT_LIST_DIR}
                    src
                    src/v4l2 src/core src/metadata
                    src/platformdata src/platformdata/gc
                    src/3a src/3a/intel3a src/3a/external
                    src/fd
                    src/core/psysprocessor
                    src/image_process
                    )

set(LIBCAMHAL_LD_FLAGS "-fPIE -fPIC -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Wl,-z,relro -Wl,-z,now")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${LIBCAMHAL_LD_FLAGS}")

add_subdirectory(src)
add_subdirectory(modules)

# Set source files
if (CAL_BUILD)
    if (SW_JPEG_ENCODE)
        add_definitions(-DSW_JPEG_ENCODE)
        include_directories(src/jpeg/sw)
    else ()
        include_directories(src/jpeg/chrome)
    endif()

    if (SW_POST_PROCESSING)
        include_directories(src/image_process/sw)
    else ()
        include_directories(src/image_process/chrome)
    endif()

    add_subdirectory(aal)

    set(LIBCAMHAL_SRCS
        ${LIBCAMHAL_SRCS}
        ${MEMORY_SRCS}
        ${AAL_SRCS}
        ${JPEG_SRCS}
        )
    include_directories(include include/api include/utils include/linux
                        ${USR_INCLUDE_HEADER}/android/system/core/include/
                        ${USR_INCLUDE_HEADER}/ia_imaging
                        ${USR_INCLUDE_HEADER}/lib${IPU_VER}
                        ${USR_INCLUDE_HEADER}/android/hardware/libhardware/include/
                        aal aal/chrome src/iutils src/jpeg
                        modules/memory modules/memory/chrome
                        )
endif() #CAL_BUILD

if (SUPPORT_LIVE_TUNING)
    set(LIBCAMHAL_SRCS ${LIVE_TUNING_SRCS})
    include_directories(modules/livetune)
endif() #SUPPORT_LIVE_TUNING

if (USE_PG_LITE_PIPE)
add_subdirectory(${MODULE_IA_CSS_DIR})
include_directories(${MODULE_IA_CSS_HEADER_INCLUDE_DIR})
set(LIBCAMHAL_SRCS ${LIBCAMHAL_SRCS} ${MODULE_IA_CSS_SRC})

# suppress modules/ia_css .c code compiling error
include(CheckCCompilerFlag)
CHECK_C_COMPILER_FLAG("-Wno-error=unused-but-set-variable" COMPILER_SUPPORTS_NO_UNUSED_BUT_SET_VAR)
if (COMPILER_SUPPORTS_NO_UNUSED_BUT_SET_VAR)
    set_source_files_properties(${MODULE_IA_CSS_SRC} PROPERTIES COMPILE_FLAGS
                                "-Wno-error=unused-but-set-variable ${CMAKE_C_FLAGS}")
endif()
endif() #USE_PG_LITE_PIPE

set(LIBCAMHAL_SRCS
    ${LIBCAMHAL_SRCS}
    ${3A_SRCS}
    ${CORE_SRCS}
    ${HAL_SRCS}
    ${IPS_CTRL_SRCS}
    ${IUTILS_SRCS}
    ${METADATA_SRCS}
    ${PLATFORMDATA_SRCS}
    ${V4L2_SRCS}
    ${ALGOWRAPPER_SRCS}
    ${IMAGE_PROCESS_SRCS}
    ${MODULES_DIR}/ia_cipr/src/Buffer.cpp
    ${MODULES_DIR}/ia_cipr/src/Context.cpp
    ${MODULES_DIR}/ia_cipr/src/Event.cpp
    ${MODULES_DIR}/ia_cipr/src/Command.cpp
    ${MODULES_DIR}/ia_cipr/src/Utils.cpp
    )

if(FACE_DETECTION)
set(LIBCAMHAL_SRCS
    ${LIBCAMHAL_SRCS}
    ${FACE_DETECTION_SRCS}
    )
endif() #FACE_DETECTION

if(ENABLE_SANDBOXING)
set(LIBCAMHAL_SRCS
    ${LIBCAMHAL_SRCS}
    ${SANDBOXING_CLIENT_SRCS}
    )
endif() #ENABLE_SANDBOXING

    set(LIBCAMHAL_SRCS ${LIBCAMHAL_SRCS} ${IIO_SRCS})

# Add libcamhal using the specified sources
add_library(camhal SHARED ${LIBCAMHAL_SRCS})
add_library(camhal_static STATIC ${LIBCAMHAL_SRCS})
set_target_properties(camhal_static PROPERTIES OUTPUT_NAME "camhal")

#---------------------------- Link settings ----------------------------
target_link_libraries(camhal ${CMAKE_DL_LIBS})
target_link_libraries(camhal_static ${CMAKE_DL_LIBS})

set (THREADS_PREFER_PTHREAD_FLAG ON)
find_package (Threads REQUIRED)
target_link_libraries(camhal ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(camhal_static ${CMAKE_THREAD_LIBS_INIT})

target_link_libraries(camhal expat rt)
target_link_libraries(camhal_static expat rt)

if (CAL_BUILD)
    target_link_libraries(camhal camera_v4l2_device)
    target_link_libraries(camhal_static camera_v4l2_device)
endif()

# Link libraries, the building will be interrupted if libs/includes not found

    # Link ia_imaging
    find_package(IA_IMAGING)
    include_directories(${IA_IMAGING_INCLUDE_DIRS})
    target_link_libraries(camhal ${IA_IMAGING_LIBS})
    target_link_libraries(camhal_static ${IA_IMAGING_LIBS})

if(USE_PG_LITE_PIPE)
    find_package(LIBGCSS)
    include_directories(${LIBGCSS_INCLUDE_DIRS})
    target_link_libraries(camhal ${LIBGCSS_LIBS})
    target_link_libraries(camhal_static ${LIBGCSS_LIBS})
else()
    # Link libiacss
    find_package(LIBIACSS)
    include_directories(${LIBIACSS_INCLUDE_DIRS})
    target_link_libraries(camhal ${LIBIACSS_LIBS})
    target_link_libraries(camhal_static ${LIBIACSS_LIBS})
endif()

# Include libipu(4) headers
find_package(LIBIPU)
include_directories(${LIBIPU_INCLUDE_DIRS})

if (USE_PG_LITE_PIPE)
    target_link_libraries(camhal ${IPU_LIB})
    target_link_libraries(camhal_static ${IPU_LIB})
endif()

if (CAL_BUILD)
    find_package(LIBCAMERA_CLIENT)
    find_package(LIBCAMERA_COMMON)
    find_package(LIBCAMERA_METADATA)
    find_package(LIBCAMERA_V4L2_DEVICE)
    find_package(LIBSYNC)
    find_package(LIBCBM)

    include_directories(${LIBCAMERA_CLIENT_INCLUDE_DIRS} ${LIBCAMERA_COMMON_INCLUDE_DIRS}
                        ${LIBCAMERA_METADATA_INCLUDE_DIRS} ${LIBCAMERA_V4L2_DEVICE_INCLUDE_DIRS}
                        ${LIBSYNC_INCLUDE_DIRS}
                        ${LIBCBM_INCLUDE_DIRS}
                        )
    link_directories(${CMAKE_PREFIX_PATH} ${LIBCAMERA_CLIENT_LIBS} ${LIBCAMERA_METADATA_LIBS}
                     ${LIBCAMERA_COMMON_LIBS} ${LIBSYNC_LIBS}
                     ${LIBCBM_LIBS}
                     )

    target_link_libraries(camhal ${LIBCAMERA_CLIENT_LIBS} ${LIBCAMERA_COMMON_LIBS}
                          ${LIBCAMERA_METADATA_LIBS} ${LIBCAMERA_V4L2_DEVICE_LIBS}
                          ${LIBSYNC_LIBS} jpeg ${CMAKE_PREFIX_PATH}/libyuv.pic.a
                          ${LIBCBM_LIBS}
                          )
    target_link_libraries(camhal_static ${LIBCAMERA_CLIENT_LIBS} ${LIBCAMERA_COMMON_LIBS}
                          ${LIBCAMERA_METADATA_LIBS} ${LIBCAMERA_V4L2_DEVICE_LIBS}
                          ${LIBSYNC_LIBS} jpeg ${CMAKE_PREFIX_PATH}/libyuv.pic.a
                          ${LIBCBM_LIBS}
                          )
endif() #CAL_BUILD

if (NOT CAL_BUILD)
    include_directories(${MODULES_DIR}/v4l2)
endif()

if (FACE_DETECTION)
    target_link_libraries(camhal pvl_eye_detection pvl_face_detection pvl_mouth_detection)
    target_link_libraries(camhal_static pvl_eye_detection pvl_face_detection pvl_mouth_detection)
    target_link_libraries(camhal ${WORK_DIR_TMP}/src/fd/libface_detection.a)
    target_link_libraries(camhal_static ${WORK_DIR_TMP}/src/fd/libface_detection.a)
endif()

if (ENABLE_SANDBOXING)
    add_definitions(-DENABLE_SANDBOXING)

    find_package(LIBMOJO)
    find_package(LIBCAMERA_IPC)
    find_package(LIBCAB)

    include_directories(${USR_INCLUDE_HEADER}/base-${BASEVER})
    include_directories(${LIBMOJO_INCLUDE_DIRS})
    include_directories(${LIBCAMERA_IPC_INCLUDE_DIRS})
    include_directories(${LIBCAB_INCLUDE_DIRS})

    link_directories(${CMAKE_PREFIX_PATH}
                     ${LIBMOJO_LIBS}
                     ${LIBCAMERA_IPC_LIBS}
                     ${LIBCAB_LIBS}
                     )

    target_link_libraries(camhal ${LIBCAB_LIBS})
    target_link_libraries(camhal ${LIBMOJO_LIBS})
    target_link_libraries(camhal ${LIBCAMERA_IPC_LIBS})
    target_link_libraries(camhal ${CMAKE_PREFIX_PATH}/librt.a)

    target_link_libraries(camhal_static ${LIBCAB_LIBS})
    target_link_libraries(camhal_static ${LIBMOJO_LIBS})
    target_link_libraries(camhal_static ${LIBCAMERA_IPC_LIBS})
    target_link_libraries(camhal_static ${CMAKE_PREFIX_PATH}/librt.a)
endif() #ENABLE_SANDBOXING

#--------------------------- Install settings ---------------------------
if (NOT CAL_BUILD)
# Install headers

=== debian/changelog ===
ipu6-camera-hal (0~git202112130639.4585612-2~ubuntu20.04.1) focal; urgency=medium

  * Fix undefined symbols in libcamhal. Don't touch
    target_link_libraries statements for libcamhal shared library.
    - updated 0006-cmake-build-libcamhal.so-from-static-lib.patch

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 07 Jan 2022 19:44:12 +0800

ipu6-camera-hal (0~git202112130639.4585612-1) UNRELEASED; urgency=medium

  [ You-Sheng Yang ]
  * cmake: fix multiarch installation path
  * cmake: link pthread properly

  [ Shih-Yuan Lee (FourDollars) ]
  * debian: Revert "debian: add patches for unexpectedly reverted fixes"

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 13 Dec 2021 20:32:04 +0800

ipu6-camera-hal (0~git202112030433.aa8c9d8-1) UNRELEASED; urgency=medium

  * Intel tributo_20211202 release

  [Shih-Yuan Lee]

  * debian: Follow the upstream not to define PRODUCTION_NAME

  [You-Sheng Yang]

  * debian: refresh patches
  * debian: add patches for unexpectedly reverted fixes
  * debian: add 0006-cmake-build-libcamhal.so-from-static-lib.patch

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 10 Dec 2021 11:44:02 +0000

ipu6-camera-hal (0~git202111120954.bdd85aa-1) UNRELEASED; urgency=medium

  * Fix xml for Tributo DVT

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 12 Nov 2021 14:32:53 +0800

ipu6-camera-hal (0~git202111041435.65c68a4-2) UNRELEASED; urgency=medium

  * debian: fix package dependencies for ipu6ep variants

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 11 Nov 2021 17:17:49 +0800

ipu6-camera-hal (0~git202111041435.65c68a4-1) UNRELEASED; urgency=medium

  * Intel Release_20211104

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 03 Nov 2021 20:22:01 +0800

ipu6-camera-hal (0~git20210811.5b056cf-1) UNRELEASED; urgency=medium

  * Intel Release_20210811

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 23 Sep 2021 00:21:13 +0800

ipu6-camera-hal (0~git20210520.43dcb4c-1) UNRELEASED; urgency=medium

  * Intel Release_20210520

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 23 Sep 2021 00:16:00 +0800

ipu6-camera-hal (0~git20210429.33cc584-1) UNRELEASED; urgency=medium

  * Intel Release_20210429

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 23 Sep 2021 00:10:08 +0800

ipu6-camera-hal (0~git20210413.4b0755e-1) UNRELEASED; urgency=medium

  * Intel Release_20210413

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 22 Sep 2021 23:27:39 +0800

ipu6-camera-hal (0~git20210402.1fde5f5-1) UNRELEASED; urgency=medium

  * Intel Release_20210402

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 22 Sep 2021 17:03:44 +0800

ipu6-camera-hal (0~git20210121.8f96902-1) UNRELEASED; urgency=medium

  * Intel Release_20210121

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 22 Sep 2021 16:53:52 +0800

ipu6-camera-hal (0~git20201126.e93031a-2) UNRELEASED; urgency=medium

  * Fix packaging issues
    - debian: drop hacks for libipu6 packaging and deps for gstreamer
    - debian: fix multiarch build
    - debian: specify library version
    - cmake: link pthread properly
    - lintian: fix copyright-should-refer-to-common-license-file-for-apache-2
    - lintian: fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
    - lintian: fix extended-description-is-empty
    - debian: add pkg-config to dependencies
    - debian: install camera configs into libcamhal-common

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 28 Dec 2020 22:40:36 +0800

ipu6-camera-hal (0~git20201126.e93031a-1) UNRELEASED; urgency=medium

  * Intel 20201126 release.
  * Lintian error fixes:
    - arch-independent-package-contains-binary-or-object
    - missing-dependency-on-libc

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 17 Dec 2020 20:55:37 +0800

ipu6-camera-hal (0~git20201022.4546911-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 02 Nov 2020 12:31:45 +0800

=== debian/control ===
Source: ipu6-camera-hal
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libexpat-dev,
 libipu6-dev (>= 0~git202111041351.f0bfd90),
 libipu6ep-dev (>= 0~git202111041351.f0bfd90),
 pkg-config,
Standards-Version: 4.5.0
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Vcs-Browser: https://github.com/intel/ipu6-camera-hal
Vcs-Git: https://github.com/intel/ipu6-camera-hal.git

Package: libcamhal-common
Architecture: all
Depends:
 ${misc:Depends},
Description: HAL library for MIPI camera through Intel IPU6 - common files
 This package contains default camera settings on Intel Tiger Lake platform.

Package: libcamhal0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcamhal-common (= ${source:Version}),
Conflicts:
 libcamhal.so.0,
Provides:
 libcamhal.so.0,
Description: HAL library for MIPI camera through Intel IPU6
 This package contains the main runtime library on Intel Tiger Lake platform.

Package: libcamhal-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcamhal0 (= ${binary:Version}),
 libipu6-dev (>= 0~git202111041351.f0bfd90),
 pkg-config,
Conflicts:
 libcamhal.so,
Provides:
 libcamhal.so,
Description: HAL library for MIPI camera through Intel IPU6 - development kit
 This package contains development files for libcamhal0 on Intel Tiger Lake
 platform.

Package: libcamhal-ipu6ep-common
Architecture: all
Depends:
 ${misc:Depends},
Conflicts:
 libcamhal-common,
Provides:
 libcamhal-common,
Description: HAL library for MIPI camera through Intel IPU6 - common files
 This package contains default camera settings on Intel Alder Lake platform
 (ipu6ep).

Package: libcamhal-ipu6ep0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcamhal-ipu6ep-common (= ${source:Version}),
Conflicts:
 libcamhal.so.0,
Provides:
 libcamhal.so.0,
Description: HAL library for MIPI camera through Intel IPU6
 This package contains the main runtime library on Intel Alder Lake platform
 (ipu6ep).

Package: libcamhal-ipu6ep-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcamhal-ipu6ep0 (= ${binary:Version}),
 libipu6ep-dev (>= 0~git202111041351.f0bfd90),
 pkg-config,
Conflicts:
 libcamhal.so,
Provides:
 libcamhal.so,
Description: HAL library for MIPI camera through Intel IPU6 - development kit
 This package contains development files for libcamhal0 on Intel Alder Lake
 platform (ipu6ep).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/ipu6 -- -DCMAKE_BUILD_TYPE=Release -DIPU_VER=ipu6 -DENABLE_VIRTUAL_IPU_PIPE=OFF -DUSE_PG_LITE_PIPE=ON -DUSE_STATIC_GRAPH=OFF
	dh_auto_configure --builddirectory=build/ipu6ep -- -DCMAKE_BUILD_TYPE=Release -DIPU_VER=ipu6ep -DENABLE_VIRTUAL_IPU_PIPE=OFF -DUSE_PG_LITE_PIPE=ON -DUSE_STATIC_GRAPH=OFF

override_dh_auto_build:
	dh_auto_build --builddirectory=build/ipu6
	dh_auto_build --builddirectory=build/ipu6ep

override_dh_auto_install:
	for ipu_ver in ipu6 ipu6ep; do \
	  if test "$${ipu_ver}" = ipu6; then \
	    append=""; \
	  else \
	    append="-$${ipu_ver}"; \
	  fi; \
	  sed "s/@IPU_VER@/$${ipu_ver}/g" \
	      debian/libcamhal-common.install.in > debian/libcamhal$${append}-common.install; \
	  sed "s/@IPU_VER@/$${ipu_ver}/g; s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	      debian/libcamhal0.install.in > debian/libcamhal$${append}0.install; \
	  sed "s/@IPU_VER@/$${ipu_ver}/g; s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	      debian/libcamhal-dev.install.in > debian/libcamhal$${append}-dev.install; \
	done
	dh_auto_install --builddirectory=build/ipu6 --destdir=debian/ipu6
	dh_auto_install --builddirectory=build/ipu6ep --destdir=debian/ipu6ep

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build/ipu6
	dh_auto_clean --builddirectory=build/ipu6ep
	rm -rf debian/ipu6
	rm -rf debian/ipu6ep

override_dh_makeshlibs-arch:
	excluded_args=; \
	for ipu_ver in ipu6 ipu6ep; do \
	  if test "$${ipu_ver}" = ipu6; then \
	    append=""; \
	  else \
	    append="-$${ipu_ver}"; \
	  fi; \
	  dh_makeshlibs -plibcamhal$${append}0 -V "libcamhal$${append}0 | libcamhal.so.0"; \
	  excluded_args="$${excluded_args} -Nlibcamhal$${append}0"; \
	done; \
	dh_makeshlibs -a $${excluded_args}
